Skip to main content
GET
/
orgs
/
{id}
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/orgs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "clerkOrgId": "<string>",
  "keyRotatedAt": "2023-11-07T05:31:56Z",
  "settings": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

id
string
required

Unique organization identifier

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

Response

200 - application/json

OK

Organization resource with full details (no secrets)

id
string
required

Unique identifier for the organization

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
name
string
required

Display name of the organization

slug
string
required

URL-friendly identifier for the organization

clerkOrgId
string | null
required

External Clerk organization ID, null if not linked

tier
enum<string>
required

Current subscription tier

Available options:
FREE,
STARTER,
GROWTH,
SCALE,
ENTERPRISE
keyRotatedAt
string<date-time> | null
required

ISO 8601 timestamp of the last master-key rotation, null if never rotated

settings
object
required

Arbitrary key-value settings for the organization

createdAt
string<date-time>
required

ISO 8601 timestamp when the organization was created

updatedAt
string<date-time>
required

ISO 8601 timestamp when the organization was last modified